ARG BASE_IMAGE=
ARG BASE_TAG=
ARG HTTP_PROXY=
ARG HTTPS_PROXY=
ARG http_proxy=
ARG https_proxy=

FROM ${BASE_IMAGE}:${BASE_TAG}
LABEL maintainer="Stefan Schneider <eqsoft4@gmail.com>"

USER root

ENV DEBIAN_FRONTEND noninteractive
ENV TZ=Europe/Berlin
SHELL ["/bin/bash", "-c"]

RUN <<EOF
set -e
apt-get update 
apt-get install -y --no-install-recommends \
apt-transport-https \
ca-certificates \
nano \
git \
git-lfs \
openssh-client \
gettext-base \
jq
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime
echo $TZ > /etc/timezone
EOF

# copy ca certs
COPY crt/root-ca.crt /usr/share/ca-certificates/
COPY crt/signing-ca.crt /usr/share/ca-certificates/
RUN echo root-ca.crt >> /etc/ca-certificates.conf && \
	echo signing-ca.crt >> /etc/ca-certificates.conf && \
	update-ca-certificates
